Subject: Re: bug#21777: 25.0.50; gud-gdb uses a pager, which is harmful inside emacs

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 22 Sep 2020 17:51:20 +0200

Eli Zaretskii <[email-masked]> writes:

>> No, the problem is still there -- If you say `M-x gud-gdb' and then
>> issue a backtrace, then the gdb pager kicks in.
>
> This is very strange.  I clearly see in GDB the code to set unlimited
> page height.  Any GDB version later than 7.10 should have this.
>
> If you invoke "M-x gud-gdb", then type "show height" at the "(gdb)"
> prompt in the interaction buffer, what do you see?
>
> And if you then type "show environment INSIDE_EMACS" at the "(gdb)"
> prompt, what do you see?

Aha!

(gdb) show height
Number of lines gdb thinks are in a page is unlimited.
(gdb) show environment INSIDE_EMACS
INSIDE_EMACS = 28.0.50,comint

It is indeed unlimited...  but if I change the size of the frame:

(gdb) show height
Number of lines gdb thinks are in a page is 35.

So Emacs is somehow telling gdb to set the height when the frame size
changes.  I tried grepping for that yesterday, but I was unable to see
what triggers that.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no